package com.sample.web.base.aop;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.MDC;

import com.sample.common.FunctionNameAware;
import com.sample.web.base.WebConst;

import lombok.val;
import lombok.extern.slf4j.Slf4j;

/**
 * 기능명을 로그에 출력하기
 */
@Slf4j
public class LoggingFunctionNameInterceptor extends BaseHandlerInterceptor {

    private static final String MDC_FUNCTION_NAME = WebConst.MDC_FUNCTION_NAME;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)
            throws Exception {
        // 컨트롤러의 동작 전

        val fna = getBean(handler, FunctionNameAware.class);
        if (fna != null) {
            val functionName = fna.getFunctionName();
            MDC.put(MDC_FUNCTION_NAME, functionName);
        }

        return true;
    }
}
